QGIS Application - Bug report #18017
Bookkeeping problem in attribute table
2018-02-01 10:25 AM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25913
Description

Sometimes when you delete features, twice as many disappear from the attribute table.

Steps to reproduce:

1. Add the attached layer to a new project

2. Open the attribute table

3. Enable editing

4. Select the first row (see attached screenshot1.png)

5. Press "delete", now 2 rows have disappeared (see attached screenshot2.png)

For the cause of this, see my comments to this PR:
https://github.com/qgis/QGIS/pull/6185

Possible solution:
https://github.com/qgis/QGIS/pull/6191

Related issues:
Related to QGIS Application - Bug report # 18016: Layer sometimes appears mod... Closed 2018-02-01

History

#1 - 2018-02-01 10:32 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-02-01 10:35 AM - Daan Goedkoop

P.S. | used the daily snapshot. | see that today the default widget in some cases has been changed from a range widget to a normal text editor widget.
However, even if using the range widget, | think this bug should not occur.

#3 - 2018-02-02 08:16 AM - Alessandro Pasotti

- Status changed from Open to In Progress

I think that with today's fixes and your PR the issue can be closed.

Please test it.

#4 - 2018-02-02 08:17 AM - Alessandro Pasotti
- Related to Bug report #18016: Layer sometimes appears modified without editing data added

2025-05-18 12



https://github.com/qgis/QGIS/pull/6185
#5 - 2018-02-03 09:05 AM - Daan Goedkoop

Looks good, thank you!

#6 - 2018-02-06 07:48 AM - Daan Goedkoop

Note: | cannot close these two bug reports myself!

#7 - 2018-02-06 10:27 AM - Harrissou Santanna

- Resolution set to fixed/implemented
- Status changed from In Progress to Closed
